Resource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.Resource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class Resource

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.AuthzNamedBean
              org.hyperic.hq.authz.server.session.Resource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class Resource

extends AuthzNamedBean
implements java.lang.Comparable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`AuthzNamedBean.Comparator`

Field Summary
`static org.apache.commons.logging.Log` | `_log`

Constructor Summary
`protected` | `Resource()`
`` | `Resource(ResourceType type, Resource prototype, java.lang.String name, AuthzSubject owner, java.lang.Integer instanceId, boolean system)`

Method Summary
`int` | `compareTo(java.lang.Object arg0)`
`boolean` | `equals(java.lang.Object obj)`
`protected java.util.Collection` | `getFromEdges()`
`protected java.util.Collection` | `getGroupBag()`
`java.lang.Integer` | `getInstanceId()`
`long` | `getMtime()`
`AuthzSubject` | `getOwner()`
`Resource` | `getPrototype()`
`ResourceType` | `getResourceType()`
`protected java.util.Collection` | `getToEdges()`
`java.util.Collection` | `getVirtuals()`
`int` | `hashCode()`
`boolean` | `isInAsyncDeleteState()`
`boolean` | `isOwner(java.lang.Integer possibleOwner)`
`boolean` | `isRoot()` Returns true of this is the root resource
`boolean` | `isSystem()`
`void` | `markDirty()`
`protected void` | `setFromEdges(java.util.Collection e)`
`protected void` | `setGroupBag(java.util.Collection b)`
`protected void` | `setInstanceId(java.lang.Integer val)`
`void` | `setMtime(long mtime)`
`protected void` | `setOwner(AuthzSubject val)`
`protected void` | `setPrototype(Resource p)`
`protected void` | `setResourceType(ResourceType resourceTypeId)`
`protected void` | `setSystem(boolean fsystem)`
`protected void` | `setToEdges(java.util.Collection e)`
`protected void` | `setVirtuals(java.util.Collection virtuals)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`getName, getSortName, setName, setSortName`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _log

    public static final org.apache.commons.logging.Log _log

Constructor Detail

### Resource

    protected Resource()

### Resource

    public Resource(ResourceType type,
                    Resource prototype,
                    java.lang.String name,
                    AuthzSubject owner,
                    java.lang.Integer instanceId,
                    boolean system)

Method Detail

### getGroupBag

    protected java.util.Collection getGroupBag()

### setGroupBag

    protected void setGroupBag(java.util.Collection b)

### isInAsyncDeleteState

    public boolean isInAsyncDeleteState()

### getResourceType

    public ResourceType getResourceType()

### setResourceType

    protected void setResourceType(ResourceType resourceTypeId)

### getPrototype

    public Resource getPrototype()

### setPrototype

    protected void setPrototype(Resource p)

### getInstanceId

    public java.lang.Integer getInstanceId()

### setInstanceId

    protected void setInstanceId(java.lang.Integer val)

### getOwner

    public AuthzSubject getOwner()

### setOwner

    protected void setOwner(AuthzSubject val)

### isSystem

    public boolean isSystem()

### isRoot

    public boolean isRoot()

  Returns true of this is the root resource

### markDirty

    public void markDirty()

### setMtime

    public void setMtime(long mtime)

### getMtime

    public long getMtime()

### setSystem

    protected void setSystem(boolean fsystem)

### getVirtuals

    public java.util.Collection getVirtuals()

### setVirtuals

    protected void setVirtuals(java.util.Collection virtuals)

### setFromEdges

    protected void setFromEdges(java.util.Collection e)

### getFromEdges

    protected java.util.Collection getFromEdges()

### setToEdges

    protected void setToEdges(java.util.Collection e)

### getToEdges

    protected java.util.Collection getToEdges()

### isOwner

    public boolean isOwner(java.lang.Integer possibleOwner)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AuthzNamedBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AuthzNamedBean`

### compareTo

    public int compareTo(java.lang.Object arg0)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.